Bug 990524 - storage_pool_id column at async_tasks always contains the empty GUID value
storage_pool_id column at async_tasks always contains the empty GUID value
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Yair Zaslavsky
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 07:43 EDT by Yair Zaslavsky
Modified: 2015-03-04 19:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:30:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17532 None None None Never

  None (edit)
Description Yair Zaslavsky 2013-07-31 07:43:18 EDT
Description of problem:

The value of storage_pool_id at async_tasks table always equals to the empty guid value (00000000-0000-0000-0000-000000000000) instead of holding the id of the the data center (storage pool) which the tasks runs on its SPM.

This did not happen in version 3.2, as from 3.3, the tasks are created in DB prior to their execution on VDSM.
The "InsertOrUpdateAsyncTasks" stored procedure never updated the storage pool id, and once vdsm task id is returned to engine, this is the stored procedure being used.
This should be fixed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Yair Zaslavsky 2013-07-31 07:46:38 EDT
At version 3.2 - the task was added to db when vdsm task id was returned from the SPM host, and the Insertasync_tasks stored procedure which inserts the storage_pool_id is used.
Comment 3 Itamar Heim 2013-08-21 12:39:32 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 4 Itamar Heim 2013-09-23 03:30:40 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.